Preferences
Get current user API key expiry notifications for this instance.
Get current user API key expiry notifications for this instance. The request is scoped to preferences accessible to the authenticated caller.
GET
/
api
/
v1
/
preferences
/
api-key-notifications
Get current user API key expiry notifications for this instance.
curl --request GET \
--url https://api.revoengine.com/api/v1/preferences/api-key-notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/preferences/api-key-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/preferences/api-key-notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"inAppEnabled": true,
"emailEnabled": true,
"firstReminderDays": 7,
"customReminderDays": null
}Authorizations
Bearer JWT token or API Key (sk-*).
Response
200 - application/json
First reminder in days before expiry. A second reminder is always 24 hours before expiry, followed by an expired notice.
Required range:
2 <= x <= 365Optional additional automation event in days before expiry; does not send another notification.
Required range:
1 <= x <= 365Last modified on October 8, 2026
⌘I
Get current user API key expiry notifications for this instance.
curl --request GET \
--url https://api.revoengine.com/api/v1/preferences/api-key-notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/preferences/api-key-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/preferences/api-key-notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"inAppEnabled": true,
"emailEnabled": true,
"firstReminderDays": 7,
"customReminderDays": null
}
